Storyden
Admin

Admin O Auth Registration Approval Get

Review a pending autonomous registration by its verification code. This does not approve it or create an account.

GET
/admin/oauth/registration-approvals/verification

Review a pending autonomous registration by its verification code. This does not approve it or create an account.

Authorization

cookiestoryden-session<token>

Query Parameters

verification_code*string

Response Body

Effective registration data for explicit admin review.

application/json
  1. response
verification_code*string
created_at*CreatedAt

The time the resource was created.

Formatdate-time
expires_at*string
Formatdate-time
metadata*

RFC 7591 client metadata supplied by a dynamically registering client. All fields are optional; Storyden applies safe defaults and rejects metadata that requests unsupported grants, response types, redirect URIs or scopes.

Example Request
curl -X GET 'https://example.com/api/admin/oauth/registration-approvals/verification?verification_code=string'
Example Response
{  "verification_code": "string",  "created_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z",  "metadata": {    "registration_mode": [      "string"    ],    "registration_code": "string",    "cancel_registration": true,    "client_name": "string",    "redirect_uris": [      "http://example.com"    ],    "grant_types": [      "string"    ],    "response_types": [      "string"    ],    "scope": "string",    "token_endpoint_auth_method": "string",    "jwks": {},    "application_type": "string",    "logo_uri": "http://example.com",    "client_uri": "http://example.com",    "tos_uri": "http://example.com",    "policy_uri": "http://example.com"  }}